import * as React from 'react';
export declare const defaultProperties: {
    dark: {
        circle: {
            r: number;
        };
        mask: {
            cx: string;
            cy: string;
        };
        svg: {
            transform: string;
        };
        lines: {
            opacity: number;
        };
    };
    light: {
        circle: {
            r: number;
        };
        mask: {
            cx: string;
            cy: string;
        };
        svg: {
            transform: string;
        };
        lines: {
            opacity: number;
        };
    };
    springConfig: {
        mass: number;
        tension: number;
        friction: number;
    };
};
declare type SVGProps = Omit<React.HTMLAttributes<HTMLOrSVGElement>, 'onChange'>;
export interface Props extends SVGProps {
    onChange: (checked: boolean) => void;
    checked: boolean;
    style?: React.CSSProperties;
    size?: number | string;
    animationProperties?: typeof defaultProperties;
    moonColor?: string;
    sunColor?: string;
}
export declare const DarkModeSwitch: React.FC<Props>;
export {};
